OrcProto.MetadataOrBuilder (ORC Core 1.2.1 API)
Date: 2016-10-19

org.apache.orc

## Interface OrcProto.MetadataOrBuilder

- All Superinterfaces:
    com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder
  All Known Implementing Classes:
    OrcProto.Metadata, OrcProto.Metadata.Builder
  Enclosing class:
    OrcProto

      public static interface OrcProto.MetadataOrBuilder
      extends com.google.protobuf.MessageOrBuilder

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `OrcProto.StripeStatistics` | `getStripeStats(int index)` `repeated .orc.proto.StripeStatistics stripeStats = 1;`
    `int` | `getStripeStatsCount()` `repeated .orc.proto.StripeStatistics stripeStats = 1;`
    `List<OrcProto.StripeStatistics>` | `getStripeStatsList()` `repeated .orc.proto.StripeStatistics stripeStats = 1;`
    `OrcProto.StripeStatisticsOrBuilder` | `getStripeStatsOrBuilder(int index)` `repeated .orc.proto.StripeStatistics stripeStats = 1;`
    `List<? extends OrcProto.StripeStatisticsOrBuilder>` | `getStripeStatsOrBuilderList()` `repeated .orc.proto.StripeStatistics stripeStats = 1;`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

- - ### Method Detail

    - #### getStripeStatsList

          List<OrcProto.StripeStatistics> getStripeStatsList()

      `repeated .orc.proto.StripeStatistics stripeStats = 1;`

    - #### getStripeStats

          OrcProto.StripeStatistics getStripeStats(int index)

      `repeated .orc.proto.StripeStatistics stripeStats = 1;`

    - #### getStripeStatsCount

          int getStripeStatsCount()

      `repeated .orc.proto.StripeStatistics stripeStats = 1;`

    - #### getStripeStatsOrBuilderList

          List<? extends OrcProto.StripeStatisticsOrBuilder> getStripeStatsOrBuilderList()

      `repeated .orc.proto.StripeStatistics stripeStats = 1;`

    - #### getStripeStatsOrBuilder

          OrcProto.StripeStatisticsOrBuilder getStripeStatsOrBuilder(int index)

      `repeated .orc.proto.StripeStatistics stripeStats = 1;`

Copyright © 2013–2016 The Apache Software Foundation. All rights reserved.